package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "project_progress")
public class ProjectProgress implements Serializable {
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 门店ID
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 会员ID
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity")
    private String memberIdentity;

    /**
     * 会员手机号
     */
    @Column(name = "member_phone")
    private String memberPhone;

    /**
     * 项目编码
     */
    @Column(name = "project_id")
    private Long projectId;

    /**
     * 项目名称
     */
    @Column(name = "project_name")
    private String projectName;

    /**
     * 单据主键ID
     */
    @Column(name = "doc_id")
    private Long docId;

    /**
     * 单据号
     */
    @Column(name = "doc_num")
    private String docNum;

    /**
     * 单据时间
     */
    @Column(name = "doc_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date docDate;

    /**
     * 单据服务人名称
     */
    @Column(name = "staff_names")
    private String staffNames;

    /**
     * 反馈来源0:会员/1:员工
     */
    private Integer source;

    /**
     * 护理前症状
     */
    private String symptomatic;

    /**
     * 护理后效果
     */
    @Column(name = "nursing_effect")
    private String nursingEffect;

    /**
     * 反馈意见
     */
    @Column(name = "feed_back")
    private String feedBack;

    /**
     * 单据服务人ID
     */
    @Column(name = "staff_ids")
    private String staffIds;

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取门店ID
     *
     * @return store_id - 门店ID
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店ID
     *
     * @param storeId 门店ID
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取会员ID
     *
     * @return member_id - 会员ID
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID
     *
     * @param memberId 会员ID
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity - 会员身份证号
     */
    public String getMemberIdentity() {
        return memberIdentity;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentity 会员身份证号
     */
    public void setMemberIdentity(String memberIdentity) {
        this.memberIdentity = memberIdentity;
    }

    /**
     * 获取会员手机号
     *
     * @return member_phone - 会员手机号
     */
    public String getMemberPhone() {
        return memberPhone;
    }

    /**
     * 设置会员手机号
     *
     * @param memberPhone 会员手机号
     */
    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    /**
     * 获取项目编码
     *
     * @return project_id - 项目编码
     */
    public Long getProjectId() {
        return projectId;
    }

    /**
     * 设置项目编码
     *
     * @param projectId 项目编码
     */
    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    /**
     * 获取项目名称
     *
     * @return project_name - 项目名称
     */
    public String getProjectName() {
        return projectName;
    }

    /**
     * 设置项目名称
     *
     * @param projectName 项目名称
     */
    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    /**
     * 获取单据主键ID
     *
     * @return doc_id - 单据主键ID
     */
    public Long getDocId() {
        return docId;
    }

    /**
     * 设置单据主键ID
     *
     * @param docId 单据主键ID
     */
    public void setDocId(Long docId) {
        this.docId = docId;
    }

    /**
     * 获取单据号
     *
     * @return doc_num - 单据号
     */
    public String getDocNum() {
        return docNum;
    }

    /**
     * 设置单据号
     *
     * @param docNum 单据号
     */
    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    /**
     * 获取单据时间
     *
     * @return doc_date - 单据时间
     */
    public Date getDocDate() {
        return docDate;
    }

    /**
     * 设置单据时间
     *
     * @param docDate 单据时间
     */
    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    /**
     * 获取单据服务人名称
     *
     * @return staff_names - 单据服务人名称
     */
    public String getStaffNames() {
        return staffNames;
    }

    /**
     * 设置单据服务人名称
     *
     * @param staffNames 单据服务人名称
     */
    public void setStaffNames(String staffNames) {
        this.staffNames = staffNames;
    }

    /**
     * 获取反馈来源0:会员/1:员工
     *
     * @return source - 反馈来源0:会员/1:员工
     */
    public Integer getSource() {
        return source;
    }

    /**
     * 设置反馈来源0:会员/1:员工
     *
     * @param source 反馈来源0:会员/1:员工
     */
    public void setSource(Integer source) {
        this.source = source;
    }

    /**
     * 获取护理前症状
     *
     * @return symptomatic - 护理前症状
     */
    public String getSymptomatic() {
        return symptomatic;
    }

    /**
     * 设置护理前症状
     *
     * @param symptomatic 护理前症状
     */
    public void setSymptomatic(String symptomatic) {
        this.symptomatic = symptomatic;
    }

    /**
     * 获取护理后效果
     *
     * @return nursing_effect - 护理后效果
     */
    public String getNursingEffect() {
        return nursingEffect;
    }

    /**
     * 设置护理后效果
     *
     * @param nursingEffect 护理后效果
     */
    public void setNursingEffect(String nursingEffect) {
        this.nursingEffect = nursingEffect;
    }

    /**
     * 获取反馈意见
     *
     * @return feed_back - 反馈意见
     */
    public String getFeedBack() {
        return feedBack;
    }

    /**
     * 设置反馈意见
     *
     * @param feedBack 反馈意见
     */
    public void setFeedBack(String feedBack) {
        this.feedBack = feedBack;
    }

    /**
     * 获取单据服务人ID
     *
     * @return staff_ids - 单据服务人ID
     */
    public String getStaffIds() {
        return staffIds;
    }

    /**
     * 设置单据服务人ID
     *
     * @param staffIds 单据服务人ID
     */
    public void setStaffIds(String staffIds) {
        this.staffIds = staffIds;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ProjectProgress other = (ProjectProgress) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
            && (this.getMemberIdentity() == null ? other.getMemberIdentity() == null : this.getMemberIdentity().equals(other.getMemberIdentity()))
            && (this.getMemberPhone() == null ? other.getMemberPhone() == null : this.getMemberPhone().equals(other.getMemberPhone()))
            && (this.getProjectId() == null ? other.getProjectId() == null : this.getProjectId().equals(other.getProjectId()))
            && (this.getProjectName() == null ? other.getProjectName() == null : this.getProjectName().equals(other.getProjectName()))
            && (this.getDocId() == null ? other.getDocId() == null : this.getDocId().equals(other.getDocId()))
            && (this.getDocNum() == null ? other.getDocNum() == null : this.getDocNum().equals(other.getDocNum()))
            && (this.getDocDate() == null ? other.getDocDate() == null : this.getDocDate().equals(other.getDocDate()))
            && (this.getStaffNames() == null ? other.getStaffNames() == null : this.getStaffNames().equals(other.getStaffNames()))
            && (this.getSource() == null ? other.getSource() == null : this.getSource().equals(other.getSource()))
            && (this.getSymptomatic() == null ? other.getSymptomatic() == null : this.getSymptomatic().equals(other.getSymptomatic()))
            && (this.getNursingEffect() == null ? other.getNursingEffect() == null : this.getNursingEffect().equals(other.getNursingEffect()))
            && (this.getFeedBack() == null ? other.getFeedBack() == null : this.getFeedBack().equals(other.getFeedBack()))
            && (this.getStaffIds() == null ? other.getStaffIds() == null : this.getStaffIds().equals(other.getStaffIds()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMemberIdentity() == null) ? 0 : getMemberIdentity().hashCode());
        result = prime * result + ((getMemberPhone() == null) ? 0 : getMemberPhone().hashCode());
        result = prime * result + ((getProjectId() == null) ? 0 : getProjectId().hashCode());
        result = prime * result + ((getProjectName() == null) ? 0 : getProjectName().hashCode());
        result = prime * result + ((getDocId() == null) ? 0 : getDocId().hashCode());
        result = prime * result + ((getDocNum() == null) ? 0 : getDocNum().hashCode());
        result = prime * result + ((getDocDate() == null) ? 0 : getDocDate().hashCode());
        result = prime * result + ((getStaffNames() == null) ? 0 : getStaffNames().hashCode());
        result = prime * result + ((getSource() == null) ? 0 : getSource().hashCode());
        result = prime * result + ((getSymptomatic() == null) ? 0 : getSymptomatic().hashCode());
        result = prime * result + ((getNursingEffect() == null) ? 0 : getNursingEffect().hashCode());
        result = prime * result + ((getFeedBack() == null) ? 0 : getFeedBack().hashCode());
        result = prime * result + ((getStaffIds() == null) ? 0 : getStaffIds().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", memberIdentity=").append(memberIdentity);
        sb.append(", memberPhone=").append(memberPhone);
        sb.append(", projectId=").append(projectId);
        sb.append(", projectName=").append(projectName);
        sb.append(", docId=").append(docId);
        sb.append(", docNum=").append(docNum);
        sb.append(", docDate=").append(docDate);
        sb.append(", staffNames=").append(staffNames);
        sb.append(", source=").append(source);
        sb.append(", symptomatic=").append(symptomatic);
        sb.append(", nursingEffect=").append(nursingEffect);
        sb.append(", feedBack=").append(feedBack);
        sb.append(", staffIds=").append(staffIds);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}